/*
 * This file is a header file for kernel module for Inter Galileo Gen 2 to access DRAM as PUF
 *
 * Copyright (C) 2016
 * Authors: Wenjie Xiong <wenjie.xiong@yale.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */

void enable_refresh(void);
void disable_refresh(void);

void enable_ecc(void);
void disable_ecc(void);

void writeRAMbuffer(unsigned int write_physaddr, unsigned int data);
unsigned int readRAMbuffer(unsigned int read_physaddr);

void writeSysRAM(unsigned int write_physaddr, unsigned int data);
unsigned int readSysRAM(unsigned int read_physaddr);

